Page MenuHomeFreeBSD

Add periodic script to backup zfs and zpool information
ClosedPublic

Authored by rew on Jul 12 2020, 7:16 PM.

Details

Summary

Added a periodic script to create backup of output generated from zfs list, zpool list, zpool get
and zfs get.
Variables (with default values set) have been added to periodic.conf to customize output of the
respective commands.
The variables have been documentated in periodic.conf(5).

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=86388

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rew requested review of this revision.Jul 12 2020, 7:16 PM
rew created this revision.

Approved By: allanjude (mentor)

This revision is now accepted and ready to land.Aug 18 2020, 1:31 PM
rew added a subscriber: bcr.

Updating D25638: Add periodic script to backup zfs and zpool information

Changed wording & macros used in periodic.conf(5) to reflect suggested changes by @bcr and @0mp
from a separate review, https://reviews.freebsd.org/D25631.

Updated Makefile to actually install the new periodic script.

Changed periodic script to be disabled by default.

Will bump .Dd on commit.

This revision now requires review to proceed.Oct 4 2020, 7:17 PM

The manual page seems fine!

This revision is now accepted and ready to land.Oct 25 2020, 12:42 PM